AnnotationFormatError (Java Platform SE 8 )
Keywords: java.lang.annotation.AnnotationFormatError class
Date: 2026-04-17

compact1, compact2, compact3
java.lang.annotation

## Class AnnotationFormatError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.annotation.AnnotationFormatError

- All Implemented Interfaces:
    Serializable

      public class AnnotationFormatError
      extends Error

  Thrown when the annotation parser attempts to read an annotation from a class file and determines that the annotation is malformed. This error can be thrown by the API used to read annotations reflectively.
  Since:
    1.5
  See Also:
    `AnnotatedElement`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationFormatError(String message)` Constructs a new `AnnotationFormatError` with the specified detail message.
    `AnnotationFormatError(String message, Throwable cause)` Constructs a new `AnnotationFormatError` with the specified detail message and cause.
    `AnnotationFormatError(Throwable cause)` Constructs a new `AnnotationFormatError` with the specified cause and a detail message of `(cause == null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationFormatError

          public AnnotationFormatError(String message)

      Constructs a new `AnnotationFormatError` with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### AnnotationFormatError

          public AnnotationFormatError(String message,
                                       Throwable cause)

      Constructs a new `AnnotationFormatError` with the specified detail message and cause. Note that the detail message associated with `cause` is not automatically incorporated in this error's detail message.
      Parameters:
        `message` - the detail message
        `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### AnnotationFormatError

          public AnnotationFormatError(Throwable cause)

      Constructs a new `AnnotationFormatError` with the specified cause and a detail message of `(cause == null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
      Parameters:
        `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.